#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: vector-binary-instances
version: 0.2.4
id: vector-binary-instances-0.2.4-6LbavzkTZ8MLoB9ju5D48j
key: vector-binary-instances-0.2.4-6LbavzkTZ8MLoB9ju5D48j
license: BSD-3-Clause
maintainer: dons00@gmail.com, bos@serpentine.com, Ben Gamari <ben@smart-cactus.org>
author: Don Stewart
stability: Experimental
homepage: https://github.com/bos/vector-binary-instances
synopsis: Instances of Data.Binary and Data.Serialize for vector
description:
    Instances for Binary for the types defined in the vector package,
    making it easy to serialize vectors to and from disk. We use the
    generic interface to vectors, so all vector types are supported.
    Specific instances are provided for unboxed, boxed and storable
    vectors.
    .
    To serialize a vector:
    .
    > *Data.Vector.Binary> let v = Data.Vector.fromList [1..10]
    > *Data.Vector.Binary> v
    > fromList [1,2,3,4,5,6,7,8,9,10] :: Data.Vector.Vector
    > *Data.Vector.Binary> encode v
    > Chunk "\NUL\NUL\NUL\NUL\NUL...\NUL\NUL\NUL\t\NUL\NUL\NUL\NUL\n" Empty
    .
    Which you can in turn compress before writing to disk:
    .
    > compress . encode $ v
    > Chunk "\US\139\b\NUL\NUL\N...\229\240,\254:\NUL\NUL\NUL" Empty
category: Data
abi: d73014723391beb9af52a0ffc0407d14
exposed: True
exposed-modules:
    Data.Vector.Binary
import-dirs: /usr/lib/ghc-8.4.2/site-local/vector-binary-instances-0.2.4
library-dirs: /usr/lib/ghc-8.4.2/site-local/vector-binary-instances-0.2.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/vector-binary-instances-0.2.4
hs-libraries: HSvector-binary-instances-0.2.4-6LbavzkTZ8MLoB9ju5D48j
depends:
    base-4.11.1.0 vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb binary-0.8.5.1
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
haddock-interfaces: /usr/share/doc/haskell-vector-binary-instances/html/vector-binary-instances.haddock
haddock-html: /usr/share/doc/haskell-vector-binary-instances/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

